SET IDENTITY_INSERT LegalEntities ON

INSERT INTO LegalEntities(LegalEntityID, IsIndividual) values(1, 0)
INSERT INTO Организация (Код_организации,Наименование,Реквизиты,Является_абонентом,Владеет_сетями,Является_землепользователем,Является_органом_власти,Является_строительной,Код_организационно_правовой_формы) VALUES (1,'АО Энерго','ИНН',0,1,1,0,0,1)

SET IDENTITY_INSERT LegalEntities OFF
GO
INSERT INTO IntConsts (Name, Value) values('Organization', 1)
GO
-------------------
IF NOT EXISTS (SELECT * FROM Объект WHERE Код_типа_объекта=1000)
BEGIN
  INSERT INTO Объект (
		Код_типа_объекта,
		Код_диспетчерского_управления,		
		Наименование,
		Код_объекта_владельца,
		Инвентарный_номер,
		Примечание,
		GUID) VALUES 
		(1000,1,
		'Сеть электроснабжения',
		NULL,
		'','',NEWID())
  DECLARE @NetID int
  SET @NetID = (SELECT Код_объекта FROM Объект WHERE Код_типа_объекта=1000)
  INSERT INTO Сеть (Код_сети, Классы_напряжения) Values (@NetID,0)
  INSERT INTO PowerObjectOwners(PowerObjectID,LegalEntityID,OwnershipFormID) values(@NetID,1,1) 
END
GO
-------------------
  -- добавление корзины (одна на базу)
if not exists(select Код_объекта from объект where Код_типа_объекта = 13)
  INSERT INTO Объект  (Код_типа_объекта,GUID,Наименование,Код_объекта_владельца) VALUES (13,NewID(),'Корзина',NULL)
GO
-------------------
  -- потому что в справочнике не выставляется, сделать, чтобы выставлялось
exec('UPDATE Справочник_трансформаторов_напряжения SET Является_емкостным = 1 WHERE Описание LIKE ''НДЕ%''')
GO
-------------------
